Subject: [quicwg/base-drafts] c0aaf2: Refine Discussion of 0-RTT Transport Parameters

From: Martin Thomson <[email-masked]>
Date: Wed, 17 Apr 2019 02:42:40 -0700

Branch: refs/heads/master
  Home:   https://github.com/quicwg/base-drafts
  Commit: c0aaf2b6d35bf65c8220c4525092de86a1d9bf73
      https://github.com/quicwg/base-drafts/commit/c0aaf2b6d35bf65c8220c4525092de86a1d9bf73
  Author: martinduke <[email-masked]>
  Date:   2019-02-14 (Thu, 14 Feb 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Refine Discussion of 0-RTT Transport Parameters

Fixes #2464, but there are some value judgments here. I believe the new layout is much clearer for implementers.

I made max_packet_size optional for reasons that I think are self-evident. I thought saving max_ack_delay might be useful for clients setting loss timers on their 0-RTT stuff. Everything else is required or forbidden.

Per @MikeBishop's suggestion, I put all the new TPs in the required category.

I also specified behavior when the EE msg omits a TP. I thought it would be simpler for servers that spit out a standard set of TPs to do things that way.

  Commit: 9d26bb01b3bf2f4b2a20aec931471bdc62f2c8e2
      https://github.com/quicwg/base-drafts/commit/9d26bb01b3bf2f4b2a20aec931471bdc62f2c8e2
  Author: Mike Bishop <[email-masked]>
  Date:   2019-02-14 (Thu, 14 Feb 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: martinduke <[email-masked]>

  Commit: 1dd258aced8e9861e11e395a916dc575d189c3e8
      https://github.com/quicwg/base-drafts/commit/1dd258aced8e9861e11e395a916dc575d189c3e8
  Author: martinduke <[email-masked]>
  Date:   2019-02-14 (Thu, 14 Feb 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  changed handling of new TPs

per @ianswett, now dependent on the spec.

  Commit: b07ac2036b9b2d67b52aa78f28b8357edc9a475a
      https://github.com/quicwg/base-drafts/commit/b07ac2036b9b2d67b52aa78f28b8357edc9a475a
  Author: martinduke <[email-masked]>
  Date:   2019-02-15 (Fri, 15 Feb 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Adopted some of MT's rewording

I think it reads better now.

  Commit: 3ad10a56b5aeb294d7d0d44bcb3720a0999fe175
      https://github.com/quicwg/base-drafts/commit/3ad10a56b5aeb294d7d0d44bcb3720a0999fe175
  Author: martinduke <[email-masked]>
  Date:   2019-03-20 (Wed, 20 Mar 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Addressed all reviews

I think this covers the comments. I'm open to @mt's suggestion of a table, but want to land this PR before dealing with it.

  Commit: 0acd234a45ade4ce0d14cce05d34194ea5ce9504
      https://github.com/quicwg/base-drafts/commit/0acd234a45ade4ce0d14cce05d34194ea5ce9504
  Author: Martin Thomson <[email-masked]>
  Date:   2019-04-17 (Wed, 17 Apr 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2467 from martinduke/patch-38

Refine Discussion of 0-RTT Transport Parameters

Compare: https://github.com/quicwg/base-drafts/compare/9283609cc676...0acd234a45ad